%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Simple and flexible issue-tracking system
Name: roundup
Version: 1.4.21
Release: 4%{?dist}
License: MIT
Group: Applications/Engineering
Source: http://pypi.python.org/packages/source/r/%{name}/%{name}-%{version}.tar.gz
Source1: roundup.conf
Source2: roundup
Source3: README.Fedora
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: python2-devel
URL: http://roundup-tracker.org/
Requires(post): /sbin/chkconfig
Requires(post): /sbin/service
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service

%description
Roundup is a simple and flexible issue-tracking system with command line,
web and email interfaces.  It is based on the winning design from Ka-Ping
Yee in the Software Carpentry "Track" design competition.

%package doc
Group: Documentation
Summary: Documentation for the Roundup
# documentation does not need the base package to be installed
#Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
The roundup-doc package contains the documentation for Roundup issue-tracker.


%prep
%setup -q

mv locale/ru.po locale/ru-koi8.po
iconv -f koi8-r -t utf-8 locale/ru-koi8.po | sed -e 's|Content-Type: text/plain; charset=koi8-r|Content-Type: text/plain; charset=utf-8|' > locale/ru.po
rm -f locale/ru-koi8.po

install -pm 644 %{SOURCE3} .

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root $RPM_BUILD_ROOT
install -p -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/roundup.conf
install -p -D -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_initrddir}/roundup
# move installed docs for %%doc usage in -doc subpackage
rm -rf __tmp_doc ; mkdir __tmp_doc
mv ${RPM_BUILD_ROOT}%{_defaultdocdir}/%{name}/* __tmp_doc

%find_lang %{name}

%post
useradd -M -r -d /var/lib/roundup -s /sbin/nologin -c "Roundup Issue Tracker" roundup > /dev/null 2>&1 || :
if [ ! -d /var/lib/roundup ]; then
	install -d /var/lib/roundup/trackers/default/db > /dev/null 2>&1
	install -d /var/lib/roundup/trackers/default/db/files -m 2770 -o root -g roundup > /dev/null 2>&1

	# Create Roundup configuration.
	roundup-admin -i /var/lib/roundup/trackers/default install classic sqlite > /dev/null 2>&1
fi
/sbin/chkconfig --add roundup >/dev/null 2>&1
if [ "$1" -ge "1" ]; then
	/sbin/service roundup condrestart >/dev/null 2>&1
fi

%preun
if [ $1 = 0 ]; then
	/sbin/service roundup stop > /dev/null 2>&1
	/sbin/chkconfig --del roundup >/dev/null 2>&1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%{_bindir}/*
%{python_sitelib}/*
%{_datadir}/roundup/
%{_mandir}/man1/*
%config(noreplace) %{_initrddir}/roundup
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*.conf

%doc README.Fedora COPYING.txt

%files doc
%doc __tmp_doc/*

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.21-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Dec 12 2013 Michael Schwendt <mschwendt@fedoraproject.org> - 1.4.21-3
- fix duplicate documentation (#1001236)
- drop CFLAGS definition (since this is a noarch Python package)
- drop %%defattr
- fix %%{?dist} usage

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar 25 2013 Paul P. Komkoff Jr <i@stingr.net> - 1.4.21-1
- new upstream version

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov  9 2012 Paul P. Komkoff Jr <i@stingr.net> - 1.4.20-1
- new upstream version

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb  7 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 1.4.18-3
- Remove python-sqlite2 dep (this is being retired)
- Update URL
- Together, those changes fix https://bugzilla.redhat.com/show_bug.cgi?id=690246
- Minor spec cleanups

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jun 01 2011 John Khvatov <ivaxer@fedoraproject.org> - 1.4.18-1
- updated to 1.4.18
- added roundup-doc subpackage for documentation

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Aug  1 2010 John Khvatov <ivaxer@fedoraproject.org> - 1.4.15-1
- updated to 1.4.15

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.4.13-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat May 29 2010 John Khvatov <ivaxer@fedoraproject.org> - 1.4.13-2
- updated to 1.4.13

* Fri Feb 12 2010 John Khvatov <ivaxer@fedoraproject.org> - 1.4.10-2
- updated mailer.py from upstream

* Sun Oct 18 2009 Paul P. Komkoff Jr <i@stingr.net> - 1.4.10-1
- new upstream version

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 31 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 1.4.6-5
- fix unowned directory (#473661)

* Mon Mar  9 2009 Paul P. Komkoff Jr <i@stingr.net> - 1.4.6-4
- security bug bz#489355

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.4.6-2
- Rebuild for Python 2.6

* Fri Oct 3 2008 Paul P. Komkoff Jr <i@stingr.net> - 1.4.6-1
- new upstream version

* Fri Mar  7 2008 Paul P. Komkoff Jr <i@stingr.net> - 1.4.4-1
- new upstream version with security fixes (bz#436546)

* Wed Feb 20 2008 Paul P. Komkoff Jr <i@stingr.net> - 1.4.1-2
- new upstream version

* Wed Jan 23 2008 Paul P. Komkoff Jr <i@stingr.net> - 1.4.1-1
- new upstream version

* Thu Jul 19 2007 Paul P. Komkoff Jr <i@stingr.net> - 1.3.3-2
- add dist tag

* Sun Jul  8 2007 Paul P. Komkoff Jr <i@stingr.net> - 1.3.3-1
   - new upstream version 1.3.3
   - convert russian locale to utf-8
   - use sqlite database for default tracker instead of mysql

* Thu Sep 07 2006 W. Michael Petullo <mike[@]flyn.org> - 0.8.4-10
   - Rebuild for Fedora Extras 6.
   - Rebuild noarch.

* Thu Aug 24 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.8.4-9
   - Fix doc permissions (#200845).

* Fri Feb 17 2006 W. Michael Petullo <mike[@]flyn.org> - 0.8.4-7
   - Rebuild for Fedora Extras 5.

* Sat Sep 17 2005 W. Michael Petullo <mike[@]flyn.org> - 0.8.4-6
   - Fix installation of Python modules on x86_64.

* Mon Sep 05 2005 W. Michael Petullo <mike[@]flyn.org> - 0.8.4-5
   - No longer use setup.py's --record feature.
   - Really fix init script.
   - %{_mandir}/man1/* instead of %{_mandir}/*.

* Mon Sep 05 2005 W. Michael Petullo <mike[@]flyn.org> - 0.8.4-4
   - Put man pages in /usr/share/man.
   - Use a shorter summary.
   - Do not enable service by default.
   - Include license in installed files.
   - Restart service if needed after upgrade.
   - Use %{find_lang}.
   - Tag %{_initrddir}/roundup as %config(noreplace).

* Sun Aug 14 2005 W. Michael Petullo <mike[@]flyn.org> - 0.8.4-3
   - Do not use useradd's -o option.

* Thu Aug 11 2005 W. Michael Petullo <mike[@]flyn.org> - 0.8.4-2
   - Set GID roundup will use from startup script.
   - Set proper permissions on db/files.
   - Change Source URL.
   - Use %{SOURCE1}, %{SOURCE2}, ...
   - Use install's -p switch.
   - Don't hardcode useradd UID.
   - Scriptlets no longer output anything.
   - Don't delete user in postun.
   - Use %{_initrddir}.
   - Only stop service if uninstalling.

* Sun Aug 07 2005 W. Michael Petullo <mike[@]flyn.org> - 0.8.4-1
   - Stop roundup service after uninstalling.
   - New upstream version.

* Tue Jul 26 2005 W. Michael Petullo <mike[@]flyn.org> - 0.8.3-2
   - Use proxy feature to increase performance.
   - Print better instructions after installing.

* Tue Jun 28 2005 W. Michael Petullo <mike[@]flyn.org> - 0.8.3-1
   - Initial package for Fedora Extras.
